Просмотр телевидения на Линуксе (IPTV плеер)

vall
Нужны ли, кроме как при сборке?
Для работы плеера нужны qt6-base и pyside6, а всё остальное, что вы перечислили - это их зависимости.
Так что да, нужны.

Take my love, take my land. Take me where I cannot stand. I don't care cause I'm still free. You can't take the sky from me.
astroncia
Так что да, нужны.
Сбило с толку, что в процессе выполнения сборки они были удалены. Тогда получается лишняя операция удаления?
P.S. Пакет pyside6 по зависимостям в итоге притянул llvm в 333,5 Мб. Жирновато.
vall
Тогда получается лишняя операция удаления?
Ну, получается, да.
Но это уже вопросы к пакману, т.к. в PKGBUILD`е нету никаких удалений пакетов.
И не было.

- depends = qt5-base
- depends = qt5-multimedia
- depends = qt5-x11extras
+ depends = qt6-base
depends = mpv
- depends = python-pyqt5
+ depends = pyside6
Take my love, take my land. Take me where I cannot stand. I don't care cause I'm still free. You can't take the sky from me.
Cannot mix incompatible Qt library (6.1.2) with this library (6.1.3)
[1] 3905 abort (core dumped) astronciaiptv
В кедах всё прекрасно работает. Сегодня обновлялись?
 ➜ astronciaiptv
 System locale: ru
 Settings locale: Русский

Astroncia IPTV запускается...
 Copyright (C) Astroncia

Нашли проблему? Напишите мне по e-mail: kestraly (at) gmail.com

 Current version: 0.0.79

Using Python 3.9.6 (default, Jun 30 2021, 10:22:16) [GCC 11.1.0]
Qt version: 6.1.3
Qt library: PySide6

Аппаратное ускорение включено
Reading cached TV guide if exists...
TV guide read done, took 5.845359563827515 seconds
Init m3u editor
M3u editor init done
Кэширование плейлиста отключено
Идёт загрузка плейлиста...
 System locale: ru
EXTGRP parsing...
Загрузка плейлиста завершена!  # и т.д.
Slav164
(6.1.2)
При обновлении библиотек надо и программу обновлять, qt6 обновился недавно.
Обновитесь и пересобирите программу
vs220
Обновитесь и пересобирите программу
Ни пересборка, ни установка "начисто" не помогли. :(
$ astronciaiptv
[18:00:33] System locale: ru
[18:00:33] Settings locale: Русский

Cannot mix incompatible Qt library (6.1.2) with this library (6.1.3)
Аварийный останов (стек памяти сброшен на диск)
krivetko
Ни пересборка, ни установка "начисто" не помогли. :(

Я удалил программу,удалил пакеты qt6-base и pyside6. Reboot и установка проги помогли.
krivetko
не помогли
Qt library (6.1.2)
Покажите
pacman -Qs qt6
pacman -Qs pyside
и как пересобирали astronciaiptv? , возможно старый кеш сохранился
Slav164
удалил пакеты qt6-base
Спасибо, помогло! Сам не обратил внимания, что qt6-base не удалялся.
 
Зарегистрироваться или войдите чтобы оставить сообщение.